<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XWPFNumbering (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XWPFNumbering (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XWPFNumbering.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFNum.html"
               title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
               title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xwpf/usermodel/XWPFNumbering.html"
               target="_top">Frames</a></li>
        <li><a href="XWPFNumbering.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.classes.inherited.from.class.org.apache.poi.ooxml.POIXMLDocumentPart">Nested</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xwpf.usermodel</div>
    <h2 title="Class XWPFNumbering" class="title">Class XWPFNumbering</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html"
                       title="class in org.apache.poi.ooxml">org.apache.poi.ooxml.POIXMLDocumentPart</a></li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.xwpf.usermodel.XWPFNumbering</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">XWPFNumbering</span>
extends <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html" title="class in org.apache.poi.ooxml">POIXMLDocumentPart</a></pre>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Philipp Epp</dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="nested.classes.inherited.from.class.org.apache.poi.ooxml.POIXMLDocumentPart">
                                <!--   -->
                            </a>
                                <h3>Nested classes/interfaces inherited from class&nbsp;org.apache.poi.ooxml.<a
                                        href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html"
                                        title="class in org.apache.poi.ooxml">POIXMLDocumentPart</a></h3>
                                <code><a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.RelationPart.html"
                                         title="class in org.apache.poi.ooxml">POIXMLDocumentPart.RelationPart</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractNum.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFAbstractNum</a>&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFNumbering.html#abstractNums">abstractNums</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFNum.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFNum</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFNumbering.html#nums">nums</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFNumbering.html#XWPFNumbering--">XWPFNumbering</a></span>()</code>
                                    <div class="block">create a new XWPFNumbering object for use in a new document</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFNumbering.html#XWPFNumbering-org.apache.poi.openxml4j.opc.PackagePart-">XWPFNumbering</a></span>(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackagePart</a>&nbsp;part)</code>
                                    <div class="block">create a new styles object with an existing document</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>java.math.BigInteger</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFNumbering.html#addAbstractNum-org.apache.poi.xwpf.usermodel.XWPFAbstractNum-">addAbstractNum</a></span>(<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractNum.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFAbstractNum</a>&nbsp;abstractNum)</code>
                                    <div class="block">add a new AbstractNum and return its AbstractNumID</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>java.math.BigInteger</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFNumbering.html#addNum-java.math.BigInteger-">addNum</a></span>(java.math.BigInteger&nbsp;abstractNumID)</code>
                                    <div class="block">Add a new num with an abstractNumID</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFNumbering.html#addNum-java.math.BigInteger-java.math.BigInteger-">addNum</a></span>(java.math.BigInteger&nbsp;abstractNumID,
                                    java.math.BigInteger&nbsp;numID)</code>
                                    <div class="block">Add a new num with an abstractNumID and a numID</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>java.math.BigInteger</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFNumbering.html#addNum-org.apache.poi.xwpf.usermodel.XWPFNum-">addNum</a></span>(<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFNum.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFNum</a>&nbsp;num)</code>
                                    <div class="block">add a new number to the numbering document</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFNumbering.html#commit--">commit</a></span>()</code>
                                    <div class="block">save and commit numbering</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractNum.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFAbstractNum</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFNumbering.html#getAbstractNum-java.math.BigInteger-">getAbstractNum</a></span>(java.math.BigInteger&nbsp;abstractNumID)</code>
                                    <div class="block">get AbstractNum by abstractNumID</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>java.math.BigInteger</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFNumbering.html#getAbstractNumID-java.math.BigInteger-">getAbstractNumID</a></span>(java.math.BigInteger&nbsp;numID)</code>
                                    <div class="block">return the abstractNumID
                                        If the AbstractNumID not exists
                                        return null
                                    </div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>java.math.BigInteger</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFNumbering.html#getIdOfAbstractNum-org.apache.poi.xwpf.usermodel.XWPFAbstractNum-">getIdOfAbstractNum</a></span>(<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractNum.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFAbstractNum</a>&nbsp;abstractNum)</code>
                                    <div class="block">Compare AbstractNum with abstractNums of this numbering
                                        document.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFNum.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFNum</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFNumbering.html#getNum-java.math.BigInteger-">getNum</a></span>(java.math.BigInteger&nbsp;numID)</code>
                                    <div class="block">get Num by NumID</div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFNumbering.html#numExist-java.math.BigInteger-">numExist</a></span>(java.math.BigInteger&nbsp;numID)</code>
                                    <div class="block">Checks whether number with numID exists</div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFNumbering.html#onDocumentRead--">onDocumentRead</a></span>()</code>
                                    <div class="block">read numbering form an existing package</div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFNumbering.html#removeAbstractNum-java.math.BigInteger-">removeAbstractNum</a></span>(java.math.BigInteger&nbsp;abstractNumID)</code>
                                    <div class="block">remove an existing abstractNum</div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFNumbering.html#setNumbering-org.openxmlformats.schemas.wordprocessingml.x2006.main.CTNumbering-">setNumbering</a></span>(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTNumbering&nbsp;numbering)</code>
                                    <div class="block">Sets the ctNumbering</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.ooxml.POIXMLDocumentPart">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.ooxml.<a
                                        href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html"
                                        title="class in org.apache.poi.ooxml">POIXMLDocumentPart</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#Z:Z_invokeOnDocumentRead-org.apache.poi.ooxml.POIXMLDocumentPart-">_invokeOnDocumentRead</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#addRelation-java.lang.String-org.apache.poi.ooxml.POIXMLRelation-org.apache.poi.ooxml.POIXMLDocumentPart-">addRelation</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#createRelationship-org.apache.poi.ooxml.POIXMLRelation-org.apache.poi.ooxml.POIXMLFactory-">createRelationship</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#createRelationship-org.apache.poi.ooxml.POIXMLRelation-org.apache.poi.ooxml.POIXMLFactory-int-">createRelationship</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#createRelationship-org.apache.poi.ooxml.POIXMLRelation-org.apache.poi.ooxml.POIXMLFactory-int-boolean-">createRelationship</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getNextPartNumber-org.apache.poi.ooxml.POIXMLRelation-int-">getNextPartNumber</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getPackagePart--">getPackagePart</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getParent--">getParent</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getRelationById-java.lang.String-">getRelationById</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getRelationId-org.apache.poi.ooxml.POIXMLDocumentPart-">getRelationId</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getRelationPartById-java.lang.String-">getRelationPartById</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getRelationParts--">getRelationParts</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getRelations--">getRelations</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getTargetPart-org.apache.poi.openxml4j.opc.PackageRelationship-">getTargetPart</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#isCommited--">isCommited</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#onDocumentCreate--">onDocumentCreate</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#onDocumentRemove--">onDocumentRemove</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#onSave-java.util.Set-">onSave</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#prepareForCommit--">prepareForCommit</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#read-org.apache.poi.ooxml.POIXMLFactory-java.util.Map-">read</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#rebase-org.apache.poi.openxml4j.opc.OPCPackage-">rebase</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#removeRelation-org.apache.poi.ooxml.POIXMLDocumentPart-">removeRelation</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#removeRelation-org.apache.poi.ooxml.POIXMLDocumentPart-boolean-">removeRelation</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#removeRelation-java.lang.String-">removeRelation</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#setCommited-boolean-">setCommited</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#toString--">toString</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait,
                                    wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="abstractNums">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>abstractNums</h4>
                                <pre>protected&nbsp;java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractNum.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFAbstractNum</a>&gt; abstractNums</pre>
                            </li>
                        </ul>
                        <a name="nums">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>nums</h4>
                                <pre>protected&nbsp;java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFNum.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFNum</a>&gt; nums</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="XWPFNumbering-org.apache.poi.openxml4j.opc.PackagePart-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>XWPFNumbering</h4>
                                <pre>public&nbsp;XWPFNumbering(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackagePart</a>&nbsp;part)
              throws java.io.IOException,
                     <a href="../../../../../org/apache/poi/openxml4j/exceptions/OpenXML4JException.html"
                        title="class in org.apache.poi.openxml4j.exceptions">OpenXML4JException</a></pre>
                                <div class="block">create a new styles object with an existing document</div>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/openxml4j/exceptions/OpenXML4JException.html"
                                            title="class in org.apache.poi.openxml4j.exceptions">OpenXML4JException</a></code>
                                    </dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 3.14-Beta1</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="XWPFNumbering--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>XWPFNumbering</h4>
                                <pre>public&nbsp;XWPFNumbering()</pre>
                                <div class="block">create a new XWPFNumbering object for use in a new document</div>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="onDocumentRead--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>onDocumentRead</h4>
                                <pre>protected&nbsp;void&nbsp;onDocumentRead()
                       throws java.io.IOException</pre>
                                <div class="block">read numbering form an existing package</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#onDocumentRead--">onDocumentRead</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html"
                                                title="class in org.apache.poi.ooxml">POIXMLDocumentPart</a></code></dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - a subclass may throw an IOException when a
                                        document is read
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="commit--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>commit</h4>
                                <pre>protected&nbsp;void&nbsp;commit()
               throws java.io.IOException</pre>
                                <div class="block">save and commit numbering</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#commit--">commit</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html"
                                                title="class in org.apache.poi.ooxml">POIXMLDocumentPart</a></code></dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - a subclass may throw an IOException if the
                                        changes can't be committed
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setNumbering-org.openxmlformats.schemas.wordprocessingml.x2006.main.CTNumbering-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setNumbering</h4>
                                <pre>public&nbsp;void&nbsp;setNumbering(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTNumbering&nbsp;numbering)</pre>
                                <div class="block">Sets the ctNumbering</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>numbering</code> -</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="numExist-java.math.BigInteger-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>numExist</h4>
                                <pre>public&nbsp;boolean&nbsp;numExist(java.math.BigInteger&nbsp;numID)</pre>
                                <div class="block">Checks whether number with numID exists</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>numID</code> -</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>boolean true if num exist, false if num not exist</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="addNum-org.apache.poi.xwpf.usermodel.XWPFNum-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addNum</h4>
                                <pre>public&nbsp;java.math.BigInteger&nbsp;addNum(<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFNum.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFNum</a>&nbsp;num)</pre>
                                <div class="block">add a new number to the numbering document</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>num</code> -</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="addNum-java.math.BigInteger-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addNum</h4>
                                <pre>public&nbsp;java.math.BigInteger&nbsp;addNum(java.math.BigInteger&nbsp;abstractNumID)</pre>
                                <div class="block">Add a new num with an abstractNumID</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>return NumId of the added num</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="addNum-java.math.BigInteger-java.math.BigInteger-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addNum</h4>
                                <pre>public&nbsp;void&nbsp;addNum(java.math.BigInteger&nbsp;abstractNumID,
                   java.math.BigInteger&nbsp;numID)</pre>
                                <div class="block">Add a new num with an abstractNumID and a numID</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>abstractNumID</code> -</dd>
                                    <dd><code>numID</code> -</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getNum-java.math.BigInteger-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getNum</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFNum.html"
                                                    title="class in org.apache.poi.xwpf.usermodel">XWPFNum</a>&nbsp;getNum(java.math.BigInteger&nbsp;numID)</pre>
                                <div class="block">get Num by NumID</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>numID</code> -</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>abstractNum with NumId if no Num exists with that NumID
                                        null will be returned
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getAbstractNum-java.math.BigInteger-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getAbstractNum</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractNum.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFAbstractNum</a>&nbsp;getAbstractNum(java.math.BigInteger&nbsp;abstractNumID)</pre>
                                <div class="block">get AbstractNum by abstractNumID</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>abstractNumID</code> -</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>abstractNum with abstractNumId if no abstractNum exists with that abstractNumID
                                        null will be returned
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getIdOfAbstractNum-org.apache.poi.xwpf.usermodel.XWPFAbstractNum-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getIdOfAbstractNum</h4>
                                <pre>public&nbsp;java.math.BigInteger&nbsp;getIdOfAbstractNum(<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractNum.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFAbstractNum</a>&nbsp;abstractNum)</pre>
                                <div class="block">Compare AbstractNum with abstractNums of this numbering document.
                                    If the content of abstractNum equals with an abstractNum of the List in numbering
                                    the BigInteger Value of it will be returned.
                                    If no equal abstractNum is existing null will be returned
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>abstractNum</code> -</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>BigInteger</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="addAbstractNum-org.apache.poi.xwpf.usermodel.XWPFAbstractNum-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addAbstractNum</h4>
                                <pre>public&nbsp;java.math.BigInteger&nbsp;addAbstractNum(<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractNum.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFAbstractNum</a>&nbsp;abstractNum)</pre>
                                <div class="block">add a new AbstractNum and return its AbstractNumID</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>abstractNum</code> -</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="removeAbstractNum-java.math.BigInteger-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>removeAbstractNum</h4>
                                <pre>public&nbsp;boolean&nbsp;removeAbstractNum(java.math.BigInteger&nbsp;abstractNumID)</pre>
                                <div class="block">remove an existing abstractNum</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>abstractNumID</code> -</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if abstractNum with abstractNumID exists in NumberingArray,
                                        false if abstractNum with abstractNumID not exists
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getAbstractNumID-java.math.BigInteger-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getAbstractNumID</h4>
                                <pre>public&nbsp;java.math.BigInteger&nbsp;getAbstractNumID(java.math.BigInteger&nbsp;numID)</pre>
                                <div class="block">return the abstractNumID
                                    If the AbstractNumID not exists
                                    return null
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>numID</code> -</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>abstractNumID</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XWPFNumbering.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFNum.html"
               title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
               title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xwpf/usermodel/XWPFNumbering.html"
               target="_top">Frames</a></li>
        <li><a href="XWPFNumbering.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.classes.inherited.from.class.org.apache.poi.ooxml.POIXMLDocumentPart">Nested</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
